#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	xorg-libXt
Version		:	1.3.0
Release		:	14.8.0.0%{?dist}
Summary		:	X.Org X11 libXt runtime library
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://xmlsoft.org/XSLT

Source0		:	%{shortname}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	fontconfig-devel
BuildRequires	:	libxcb
BuildRequires	:	xorg-libSM
BuildRequires	:	xorg-libX11
#-----------------------------------------------------------------------------
%description
X.Org X11 libXt runtime library

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{shortname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

autoconf -f -i
./configure						\
	$XORG_CONFIG					\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_includedir}/X11/*.h
%{_libdir}/%{shortname}.so*
%{_libdir}/pkgconfig/xt.pc
%{_defaultdocdir}/%{name}-%{version}/*.xml
%{_mandir}/man3/*3.gz

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig


%changelog
